import { createContext, useContext, useState } from "react";

const preview = {
  roles: [],
  rolesPermissions: [],
};

const AdminAreaRolesContext = createContext(preview);

export const useAdminAreaRolesContext = () => useContext(AdminAreaRolesContext);

export function AdminAreaRolesProvider({ children }) {
  const [roles, setRoles] = useState([]);
  const [rolesPermissions, setRolesPermissions] = useState([]);

  return (
    <AdminAreaRolesContext.Provider
      value={{
        roles,
        setRoles,
        rolesPermissions,
        setRolesPermissions,
      }}
    >
      {children}
    </AdminAreaRolesContext.Provider>
  );
}
