import { createContext, useContext, useRef, useState } from "react";

const preview = {
  userId: "",
  userPermissions: [],
  users: [],
};

const AppContext = createContext(preview);

export const useAppContext = () => useContext(AppContext);

export function AppProvider({ children }) {
  const userId = useRef(""); // used for some conditions in webSocket message handler

  const [userPermissions, setUserPermissions] = useState([]);
  const [users, setUsers] = useState([]); // TODO: realy need this?

  return (
    <AppContext.Provider
      value={{
        userId,
        userPermissions,
        setUserPermissions,
        users,
        setUsers,
      }}
    >
      {children}
    </AppContext.Provider>
  );
}
