import { createContext, useContext, useRef, useState } from "react";

const preview = {
  categoryGroup: {},
  groupTasks: [],
  groupTasksSteps: [],
  startGroupTasksOpenModalRememberIdRef: null,
};

const GroupTasksContext = createContext(preview);

export const useGroupTasksContext = () => useContext(GroupTasksContext);

export function GroupTasksProvider({ children }) {
  // will be set on open a category on side menu
  const [categoryGroup, setCategoryGroup] = useState({});
  // will be set on open a category on side menu - shown on the table
  const [groupTasks, setGroupTasks] = useState([]);
  // will be set on viewing the steps of a group task
  const [groupTasksSteps, setGroupTasksSteps] = useState([]);
  const startGroupTasksOpenModalRememberIdRef = useRef(null);

  return (
    <GroupTasksContext.Provider
      value={{
        categoryGroup,
        setCategoryGroup,
        groupTasks,
        setGroupTasks,
        groupTasksSteps,
        setGroupTasksSteps,
        startGroupTasksOpenModalRememberIdRef,
      }}
    >
      {children}
    </GroupTasksContext.Provider>
  );
}
