import { createContext, useContext, useState } from "react";
import { Constants } from "../utils";

const preview = {
  connectionBadgeStatus: "",
  connectedUsers: 0,
  selectedScanner: "",
  username: "",
  avatar: "",
  availableCategoryGroups: [],
};

const SideBarContext = createContext(preview);

export const useSideBarContext = () => useContext(SideBarContext);

export default function SideBarProvider({ children }) {
  const [connectionBadgeStatus, setConnectionBadgeStatus] = useState("error");
  const [connectedUsers, setConnectedUsers] = useState(0);
  const [selectedScanner, setSelectedScanner] = useState("");
  const [username, setUsername] = useState(Constants.LOADING); //
  const [avatar, setAvatar] = useState("");
  const [availableCategoryGroups, setAvailableCategoryGroups] = useState([]);

  return (
    <SideBarContext.Provider
      value={{
        connectionBadgeStatus,
        setConnectionBadgeStatus,
        connectedUsers,
        setConnectedUsers,
        selectedScanner,
        setSelectedScanner,
        username,
        setUsername,
        avatar,
        setAvatar,
        availableCategoryGroups,
        setAvailableCategoryGroups,
      }}
    >
      {children}
    </SideBarContext.Provider>
  );
}
